<div id="portfolio1" id="investorFolio1" class="flex flex-col flex-auto w-full bg-white" style="
        background-image: url('../../assets/background.png');
        background-position: top;
        background-size: cover;
        background-repeat: no-repeat;
        height: 400px;
    ">
    <div id="cash2wallet" class="container flex flex-wrap w-full">
        <div id="portfolio2" id="cash1wallet" class="grid grid-cols-1 xl:grid-cols-2 gap-8 w-full font-141461 mt-12">
            <!-- BGD Wallet -->
            <bgd-wallet></bgd-wallet>
        </div>
        <div class="inline-flex mt-6">
            <!-- Cash Wallet -->
            <div id="profitLoss1" class="blueBox relative flex flex-col flex-auto sm:p4 p-2 drop-shadow bluebox2"
                style="
                    background-color: #141461 !important;
                    box-shadow: 0 0 15px 0 #14146166;
                    width: 171px;
                    align-items: center;
                    margin-left: 0px;
                    margin-right: 4%;
                ">
                <div class="flex flex-row flex-wrap -mx-4">
                    <div id="blueboxFont" class="flex flex-col mx-4 my-2">
                        <div class="font-Bold-18 font-bfd3ff mt-2">Buy Price</div>
                        <div class="font-Semibold-24 leading-none text-white">
                            RM{{ sellprice }}/g
                        </div>
                    </div>
                </div>
            </div>
            <!-- Cash Wallet -->
            <div id="profitLoss1" class="blueBox relative flex flex-col flex-auto sm:p-4 p-2 drop-shadow bluebox2"
                style="
                    background-color: #141461 !important;
                    box-shadow: 0 0 15px 0 #14146166;
                    width: 171px;
                    align-items: center;
                ">
                <div class="flex flex-row flex-wrap -mx-4">
                    <button id="blueboxFont" class="flex flex-col mx-4 my-2">
                        <div class="font-Bold-18 text-xl font-bfd3ff leading-none">
                            Sell Price
                        </div>
                        <div class="mt-1 font-Semibold-24 leading-none text-white">
                            RM{{ buyprice }}/g
                        </div>
                    </button>
                </div>
            </div>

            <div id="profitLoss1"
                class="blueBox relative flex flex-col flex-auto items-center sm:p4 p-2 drop-shadow mx-5 bluebox2" style="
                background-color: #141461 !important;
                box-shadow: 0 0 15px 0 #14146166;
                width: 96px;
                height: 96px;
            ">
                <button style="width: 50%; height: 50%; margin-top: 25%" (click)="profit()">
                    <img src="assets/images/bgd/Group 76395.svg">
                </button>
            </div>
        </div>
    </div>

    <div class="container grid w-full items-center" style="max-width: 560px">
        <div class="items-center mt-14">
            <!-- BGD Wallet -->
            <div class="items-center sm:p-8 box-shadow-orange" style="background-color: #ff873b !important">
                <div class="container orangebox">
                    <div class="orangboxIN">
                        <button class="sm:flex sm:flex-col sm:items-center sm:mx-auto" (click)="buy()">
                            <img class="w-6" src="assets/images/bgd/Group 71223.svg" alt="" />
                            <span class="mt-2 font-medium text-1xl text-white leading-none">Buy</span>
                        </button>
                    </div>
                    <div class="orangboxIN">
                        <button class="sm:flex sm:flex-col sm:items-center sm:mx-auto" (click)="sell()">
                            <img class="w-6" src="assets/images/bgd/Group 71220.svg" alt="" />
                            <span class="mt-2 font-medium text-1xl text-white leading-none">Sell</span>
                        </button>
                    </div>
                    <div class="orangboxIN">
                        <button class="sm:flex sm:flex-col sm:items-center sm:mx-auto" (click)="transfer()">
                            <img class="w-6 mx-auto" style="align-items: center; display: block"
                                src="assets/images/bgd/Path 56922.svg" alt="" />
                            <span class="mt-2 font-medium text-1xl text-white leading-none">Transfer</span>
                        </button>
                    </div>
                    <div class="orangboxIN">
                        <button class="sm:flex sm:flex-col sm:items-center sm:mx-auto" (click)="redeem()">
                            <img class="w-6 mx-auto" style="align-items: center; display: block"
                                src="assets/images/bgd/Group 77301.svg" alt="" />
                            <span class="mt-2 font-medium text-1xl text-white leading-none">Redeem</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="flex flex-col flex-auto w-full bg-white">
        <div class="container flex flex-wrap w-full">
            <div class="gap-8 w-full">
                <div class="flex items-center justify-between" style="color: #141461 !important">
                    <div class="font-Semibold-30 font-141461 mt-12 py-6 leading-none">
                        Gold Price Chart
                    </div>
                    <div class="flex items-center space-x-2">
                        <button id="investorFolio2" class="mt-12 flex items-center space-x-2"
                            [routerLink]="['/view-details']">
                            <span class="mt-6 mb-6 font-Semibold-18" style="color: #0038ff !important">View
                                Details</span>
                            <mat-icon svgIcon="heroicons_outline:arrow-right" class="mt-6 mb-6"
                                style="color: #0038ff !important"></mat-icon>
                        </button>
                    </div>
                </div>
                <!-- BGD Performance -->
                <div class="xl:col-span-3 flex flex-col flex-auto mb-5">
                    <div id="investorFolio4" class="flex flex-col p-6 pb-4">
                        <div id="investorFolio3" class="flex items-center justify-center mt-6 space-x-4">
                            <div id="portfolio4" *ngIf="
                                    series.series[0].data &&
                                    series.series[0].data.length > 0
                                ">
                                <div class="font-Bold-40 text-3xl md:text-5xl tracking-tighter">
                                    RM{{ sellprice }}/g
                                </div>
                                <br />
                                <div id="investorFolio5" class="flex">
                                    <div class="flex items-center font-Bold-18 font-bfd3ff leading-none" [ngStyle]="{
                                        color: series.series[0].data[series.series[0].data.length - 1].difference < 0 ? '#FF0000' : '#00f904'
                                    }">
                                        {{ series.series[0].data[series.series[0].data.length - 1].percentageDifference }}
                                        &nbsp; &nbsp; &nbsp;
                                    </div>
                                    <div class="font-Regular-18 text-secondary leading-none">
                                        since last week
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div *ngIf="isChartLoaded" class="flex flex-col flex-auto">
                        <apx-chart class="flex-auto w-full h-full" [chart]="series.chart" [colors]="series.colors"
                            [fill]="series.fill" [series]="series.series" [stroke]="series.stroke"
                            [tooltip]="series.tooltip" [legend]="series.legend" [dataLabels]="series.dataLabels"
                            [xaxis]="series.xaxis" [yaxis]="series.yaxis">
                        </apx-chart>
                    </div>
                </div>

                <div class="flex items-center justify-between">
                    <div style="color: #141461" class="font-Semibold-30 font-141461 mt-12 py-6 leading-none">
                        Insights
                    </div>
                    <div id="investorFolio2" class="flex items-center space-x-2">
                        <button class="mt-12 flex items-center space-x-2" (click)="insightsView()">
                            <span class="mt-6 mb-6 font-Semibold-18" style="color: #0038ff !important">View All</span>
                            <mat-icon svgIcon="heroicons_outline:arrow-right" class="mt-6 mb-6"
                                style="color: #0038ff !important"></mat-icon>
                        </button>
                    </div>
                </div>
                <div class="card-container mt-5">
                    <mat-card class="card-image-content profitbox" style="box-shadow: 0px 0px 6px #0000001a !important">
                        <img src="assets/images/bgd/News-and-Tips-1.png" alt="" />
                        <span class="mx-7 pt-7 font-Semibold-18">How to start gold investment with Bursa Gold Dinar
                        </span>
                        <p class="mx-7 font-Regular-16 leading-6 font-7B7B7B mt-2">
                            Starting a gold investment with Bursa Gold Dinar is
                            relatively simple and
                        </p>
                    </mat-card>
                    <mat-card class="card-image-content profitbox" style="box-shadow: 0px 0px 6px #0000001a !important">
                        <img src="assets/images/bgd/News-and-Tips-2.png" alt="" />
                        <span class="mx-7 pb-0 pt-7 font-Semibold-18">Gold, your future assurance against
                            inflation.</span>
                        <p class="mx-7 font-Regular-16 font-7B7B7B leading-6 mt-2">
                            Investing in gold can provide assurance and
                            financial stability in several ways.
                        </p>
                    </mat-card>
                    <mat-card class="card-image-content pb-7 profitbox"
                        style="box-shadow: 0px 0px 6px #0000001a !important">
                        <img src="assets/images/bgd/News-and-Tips-3.png" alt="" />
                        <span class="mx-7 pb-0 pt-7 font-Semibold-18">Start invest for your kids<br /></span>
                        <p class="mx-7 font-Regular-16 font-7B7B7B leading-6 mt-2">
                            You can begin by setting up your account and
                            determine your investment goals. Once you have
                            bought gold, you
                        </p>
                    </mat-card>
                </div>

                <div style="color: #141461" class="font-Semibold-30 font-141461 mt-20 leading-none">
                    Help and Support
                </div>
                <div id="investorFolio6" class="sm:flex items-left my-6 mr-2 sm:my-8 help" style="color: #0038ff">
                    <button mat-stroked-button style="color: #0038ff; border-color: #0038ff !important"
                        class="fuse-mat-button-large button-r5-help mr-5 mt-2 font-Semibold-18" (click)="helpSupport()">
                        <mat-icon svgIcon="heroicons_outline:question-mark-circle" style="
                                color: #0038ff;
                                margin-right: 10px !important;
                            "></mat-icon>Help Center
                    </button>
                    <button mat-stroked-button style="color: #0038ff; border-color: #0038ff !important"
                        class="fuse-mat-button-large button-r5-help mr-5 mt-2 font-Semibold-18" (click)="helpSupport()">
                        <mat-icon svgIcon="mat_outline:email" style="
                                color: #0038ff;
                                margin-right: 10px !important;
                            "></mat-icon>Email Us
                    </button>
                    <button mat-stroked-button style="color: #0038ff; border-color: #0038ff !important"
                        class="fuse-mat-button-large button-r5-help mr-5 mt-2 font-Semibold-18" (click)="helpSupport()">
                        <mat-icon svgIcon="mat_outline:local_phone" style="
                                color: #0038ff;
                                margin-right: 10px !important;
                            "></mat-icon>Contact Us
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="static flex flex-0 items-center align-bottom w-full h-100 sm:h-10 px-4 md:px-6 z-49 bg-transparent dark:bg-transparent print:hidden"
        style="position: static; bottom: 0; background-color: white !important;">
        <span class="font-medium text-secondary" style="background-color: white;">&copy; {{currentYear}} Bursa Gold Dinar. All Right Reserved</span>
    </div>
</div>